module.exports = {
  root: true,
  env: {
    browser: true,
    node: true,
  },
  extends: [
    '@nuxtjs',
    'plugin:nuxt/recommended',
    'eslint:recommended',
    'plugin:vue/recommended',
    '@nuxtjs/eslint-config-typescript',
    'prettier',
  ],
  rules: {
    camelcase: 'off',
    'comma-dangle': ['error', 'always-multiline'],
    semi: ['error', 'always'],
    'arrow-parens': ['error', 'always'],
    quotes: ['error', 'single'],
    'no-unused-expressions': 'error',
    'vue/html-self-closing': 0,
    indent: 'off',
    '@typescript-eslint/indent': ['error', 2],
    curly: 'error',
    'brace-style': ['error', '1tbs', { allowSingleLine: true }],
    'no-trailing-spaces': 'error',
    'padded-blocks': ['error', 'never'],
    'space-before-function-paren': ['error', { anonymous: 'always', named: 'never', asyncArrow: 'always' }],
    'no-console': ['error', { allow: ['warn', 'error'] }],
    'vue/multi-word-component-names': 'off',
    'no-empty': 'off',
    'vue/no-v-html': 'off',
    'vue/html-indent': ['error', 2],
    'vue/singleline-html-element-content-newline': 0,
    'vue/component-name-in-template-casing': 'off',
    'vue/valid-v-slot': [
      'error',
      {
        allowModifiers: true,
      },
    ],
  },
};
